%define ispelldir	%_libdir/ispell
%define aspelldir	%_libdir/aspell
%define myspelldir	%_datadir/myspell
%define ispell_version	3.2.06
%define aspell_version	0.60.0

Name: ispell-ru-lebedev
Version: 0.99g5
Release: alt9

Packager: Sergey Kurakin <kurakin@altlinux.org>

Summary: Russian ispell dictionary -- KOI8-R, 'io' and 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, разрешена замена 'ё' на 'е'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, дазволена зьмена 'ё' на 'е'
License: distributable
Group: System/Internationalization
URL: http://scon155.phys.msu.su/~swan/orthography.html

# Note: ispell and aspell hash files are architecture-dependent.
# Do not put BuildArch: noarch here.

# ftp://scon155.phys.msu.su/pub/russian/ispell/rus-ispell-%version.tar.gz
Source: rus-ispell-%version.tar

Source2: rus-ispell-aspellfiles-0.3.tar

Source10: addition.words

Patch1:	rus-ispell-0.99g1-alt-no-substandard-language.patch
Patch3:	ispell-ru-lebedev-affix_flags.patch


PreReq: alternatives >= 0.4
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

# Automatically added by buildreq on Sun Jun 12 2005
BuildRequires: aspell ispell

BuildPreReq: alternatives >= 0.4
BuildPreReq: ispell >= %ispell_version
BuildPreReq: aspell >= %aspell_version
BuildPreReq: i2myspell

# The real ispell is required - not the aspell-provided emulation.
BuildConflicts:	aspell-ispell


%package cp1251
Summary: Russian ispell dictionary -- CP1251, 'io' and 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, разрешена замена 'ё' на 'е'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, дазволена зьмена 'ё' на 'е'
Group: System/Internationalization
PreReq: alternatives >= 0.4
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251

%package -n aspell-ru-lebedev
Summary: Russian dictionary for GNU Aspell
Summary(ru_RU.UTF-8): Словарь русского языка для GNU Aspell
Summary(be_BY.UTF-8): Слоўнік рускае мовы для GNU Aspell
Group: System/Internationalization
PreReq: alternatives >= 0.4
Requires: aspell >= %aspell_version
Provides: aspell-dictionary, aspell-ru = %version
Provides: aspell-ru-lebedev-common = %version-%release
Obsoletes: aspell-ru, aspell-ru-lebedev-ie, aspell-ru-lebedev-io
Obsoletes: aspell-ru-lebedev-common
Obsoletes: aspell-ru-lebedev-common-ie, aspell-ru-lebedev-common-io

%package -n hunspell-ru-lebedev
Summary: Russian dictionary for myspell/hunspell, 'io' and 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для myspell/hunspell, разрешена замена 'ё' на 'е'
Group: System/Internationalization
BuildArch: noarch
PreReq: alternatives >= 0.4
Requires: libhunspell
Provides: hunspell-ru

%package -n hunspell-ru-lebedev-ie
Summary: Russian dictionary for myspell/hunspell, only 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для myspell/hunspell, без поддержки буквы 'ё'
Group: System/Internationalization
BuildArch: noarch
PreReq: alternatives >= 0.4
Requires: libhunspell
Provides: hunspell-ru

%package -n hunspell-ru-lebedev-io
Summary: Russian dictionary for myspell/hunspell, only 'io' required
Summary(ru_RU.UTF-8): Словарь русского языка для myspell/hunspell, строгое употребление буквы 'ё'
Group: System/Internationalization
BuildArch: noarch
PreReq: alternatives >= 0.4
Requires: libhunspell
Provides: hunspell-ru

%package ie
Summary: Russian ispell dictionary -- KOI8-R, only 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, без буквы 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, бяз літары 'ё'
Group: System/Internationalization
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

%package ie-cp1251
Summary: Russian ispell dictionary -- CP1251, only 'ie' spelling allowed
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, без буквы 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, бяз літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0.4
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251

%package io
Summary: Russian ispell dictionary -- KOI8-R, 'io' required
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - KOI8-R, строгое употребление 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - KOI8-R, абавязковае выкарыстаньне літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0.4
Requires: ispell >= %ispell_version
Provides: ispell-dictionary, ispell-ru = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru

%package io-cp1251
Summary: Russian ispell dictionary -- CP1251, 'io' required
Summary(ru_RU.UTF-8): Словарь русского языка для ispell - CP1251, строгое употребление 'ё'
Summary(be_BY.UTF-8): Слоўнік рускае мовы для ispell - CP1251, абавязковае выкарыстаньне літары 'ё'
Group: System/Internationalization
PreReq: alternatives >= 0.4
Requires: ispell >= %ispell_version
Provides: ispell-dictionary
Provides: ispell-ru-cp1251 = %version
Obsoletes: irussian, ispell-rus, ispell-russian, rispell, ispell-ru-cp1251


%description
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev. This variant allows spellings with and without
the 'io' letter.

This dictionary is installed under the name "russian-lebedev".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря допускает написание слов
как с использованием буквы 'ё', так и с заменой её на букву 'е'.

Этот словарь устанавливается под именем "russian-lebedev".  Словарь для
проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку дазваляе напісаньне
словаў як з выкарыстаньнем літары 'ё', гэдак і са зьменай яе
на літару 'е'.

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev". Дапомны слоўнік
для праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай
"russian") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant allows spellings with and without
the 'io' letter.

This dictionary is installed under the name "russianw-lebedev".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым.  Этот вариант словаря допускает написание слов
как с использованием буквы 'ё', так и с заменой её на букву 'е'.

Этот словарь устанавливается под именем "russianw-lebedev".  Словарь для
проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку дазваляе напісаньне
словаў як з выкарыстаньнем літары 'ё', гэдак і са зьменай яе
на літару 'е'.

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev". Дапомны
слоўнік для праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай
"russianw") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description -n aspell-ru-lebedev
Russian dictionary for use with aspell.  The word list for this
dictionary was created by Alexander Lebedev.

There are three spelling variants available:

 - "ru-lebedev" - allows spellings with and without the 'io' letter;
 - "ru-lebedev-ie" - allows only spellings without the 'io' letter;
 - "ru-lebedev-io" - requires strict use of the 'io' letter.

You can select one of these spelling variants as the default Russian
dictionary for GNU Aspell (with the name "ru") using the alternatives
subsystem.

%description -n aspell-ru-lebedev -l ru_RU.UTF-8
Словарь русского языка для GNU Aspell на основе словаря для ispell,
подготовленного Александром Лебедевым.

Доступны три варианта словаря:

 - "ru-lebedev" - допускает написание слов как с использованием буквы
   'ё', так и с заменой её на букву 'е';
 - "ru-lebedev-ie" - не допускает использования буквы 'ё' (требует
   замены её на букву 'е');
 - "ru-lebedev-io" - требует обязательного использования буквы 'ё'
   (замена её на букву 'е' не допускается).

Выбор одного из этих вариантов в качестве словаря русского языка по
умолчанию (с именем "ru") осуществляется с помощью подсистемы
альтернатив.

%description -n aspell-ru-lebedev -l be_BY.UTF-8
Слоўнік рускае мовы для GNU Aspell на базе слоўніку для ispell,
падрыхтаванага Аляксандрам Лебедзевым.

Даступныя тры варыянты слоўніку:

 - "ru-lebedev" - дазваляе напісаньне словаў як з выкарыстаньнем літары
   'ё', гэдак і са зьменай яе на літару 'е';
 - "ru-lebedev-ie" - не дазваляе выкарыстаньне літары 'ё' (патрабуе
   зьмены яе на літару 'е');
 - "ru-lebedev-io" - патрабуе абавязковае выкарыстаньне літары 'ё'
   (зьмена яе на літару 'е' не дазваляецца).

Выбар аднаго з гэтых варыянтаў у якасьці дапомнага слоўніку рускае мовы
(з назвай "ru") зьдзяйсьняецца з дапамогай падсыстэмы альтэрнатываў.


%description  -n hunspell-ru-lebedev
Russian dictionary for myspell/hunspell, based on Alexander Lebedev's
one. Used in OpenOffice.org, Mozilla Firefox, Thunderbird and others.
This variant allows spellings with and without the 'io' letter.

This dictionary is installed under the name "ru_RU-lebedev".
Default Russian hunspell dictionary is selected using alternatives.

%description  -n hunspell-ru-lebedev -l ru_RU.UTF-8
Словарь русского языка для myspell/hunspell, основанный на словаре
Александра Лебедева. Используется в OpenOffice.org, Mozilla Firefox,
Thunderbird и др. Этот вариант словаря допускает замену буквы "ё"
на букву "е".

Cловарь устанавливается под именем "ru_RU-lebedev". Словарь
для проверки русских текстов по умолчанию выбирается с помощью
механизма альтернатив.

%description  -n hunspell-ru-lebedev-io
Russian dictionary for myspell/hunspell, based on Alexander Lebedev's
one. Used in OpenOffice.org, Mozilla Firefox, Thunderbird and others.
This variant requires strict use of the 'io' letter.

This dictionary is installed under the name "ru_RU-lebedev-io".
Default Russian hunspell dictionary is selected using alternatives.

%description  -n hunspell-ru-lebedev-io -l ru_RU.UTF-8
Словарь русского языка для myspell/hunspell, основанный на словаре
Александра Лебедева. Используется в OpenOffice.org, Mozilla Firefox,
Thunderbird и др. Этот вариант словаря не допускает использования
буквы "ё".

Cловарь устанавливается под именем "ru_RU-lebedev-io". Словарь
для проверки русских текстов по умолчанию выбирается с помощью
механизма альтернатив.

%description  -n hunspell-ru-lebedev-ie
Russian dictionary for myspell/hunspell, based on Alexander Lebedev's
one. Used in OpenOffice.org, Mozilla Firefox, Thunderbird and others.
This variant does not support the 'io' letter.

This dictionary is installed under the name "ru_RU-lebedev-io".
Default Russian hunspell dictionary is selected using alternatives.

%description  -n hunspell-ru-lebedev-io -l ru_RU.UTF-8
Словарь русского языка для myspell/hunspell, основанный на словаре
Александра Лебедева. Используется в OpenOffice.org, Mozilla Firefox,
Thunderbird и др. Этот вариант словаря не допускает замену буквы "ё"
на букву "е".

Cловарь устанавливается под именем "ru_RU-lebedev-io". Словарь
для проверки русских текстов по умолчанию выбирается с помощью
механизма альтернатив.


%description ie
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev.  This variant allows only spellings without
the 'io' letter.

This dictionary is installed under the name "russian-lebedev-ie".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description ie -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря не допускает использования
буквы 'ё' (требует замены её на букву 'е').

Этот словарь устанавливается под именем "russian-lebedev-ie".  Словарь
для проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description ie -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку не дазваляе напісаньне
словаў з выкарыстаньнем літары 'ё'.

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev-ie". Дапомны
слоўнік для праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай
"russian") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description ie-cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant allows only spellings without
the 'io' letter.

This dictionary is installed under the name "russianw-lebedev-ie".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description ie-cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым.  Этот вариант словаря не допускает использования
буквы 'ё' (требует замены её на букву 'е').

Этот словарь устанавливается под именем "russianw-lebedev-ie".  Словарь
для проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description ie-cp1251 -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку не дазваляе напісаньне
словаў з выкарыстаньнем літары 'ё'.

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev-ie". Дапомны
слоўнік для праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай
"russianw") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.


%description io
Russian dictionary for ispell in KOI8-R encoding, created by
Alexander Lebedev.  This variant requires strict use of the 'io'
letter.

This dictionary is installed under the name "russian-lebedev-io".
Default Russian dictionary in KOI8-R encoding (with the name
"russian") is selected using alternatives subsystem.

%description io -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке KOI8-R, подготовленный
Александром Лебедевым.  Этот вариант словаря требует обязательного
использования буквы 'ё' (замена её на букву 'е' не допускается).

Этот словарь устанавливается под именем "russian-lebedev-io". Словарь
для проверки русских текстов в кодировке KOI8-R по умолчанию (с именем
"russian") выбирается с помощью подсистемы альтернатив.

%description io -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні KOI8-R, падрыхтаваны
Аляксандрам Лебедзевым.  Гэты варыянт слоўніку патрабуе напісаньне
словаў з выкарыстаньнем літары 'ё' (замена на літару 'е'
не дазваляецца).

Гэты слоўнік усталёўваецца пад назвай "russian-lebedev-io". Дапомны
слоўнік для праверкі рускіх тэкстаў у кадаваньні KOI8-R (з назвай
"russian") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.

%description io-cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Alexander Lebedev.  This variant requires strict use of the 'io'
letter.

This dictionary is installed under the name "russianw-lebedev-io".
Default Russian dictionary in CP1251 encoding (with the name
"russianw") is selected using alternatives subsystem.

%description io-cp1251 -l ru_RU.UTF-8
Словарь русского языка для ispell в кодировке CP1251, подготовленный
Александром Лебедевым. Этот вариант словаря требует обязательного
использования буквы 'ё' (замена её на букву 'е' не допускается).

Этот словарь устанавливается под именем "russianw-lebedev-io".  Словарь
для проверки русских текстов в кодировке CP1251 по умолчанию (с именем
"russianw") выбирается с помощью подсистемы альтернатив.

%description io-cp1251 -l be_BY.UTF-8
Слоўнік рускае мовы для ispell у кадаваньні CP1251, падрыхтаваны
Аляксандрам Лебедзевым. Гэты варыянт слоўніку патрабуе напісаньне
словаў з выкарыстаньнем літары 'ё' (замена на літару 'е'
не дазваляецца).

Гэты слоўнік усталёўваецца пад назвай "russianw-lebedev-io". Дапомны
слоўнік для праверкі рускіх тэкстаў у кадаваньні CP1251 (з назвай
"russianw") выбіраецца з дапамогаю падсыстэмы альтэрнатываў.


%prep
%setup -q -c -a 2
cat %SOURCE10 | iconv -f=utf-8 -t=koi8-r > addition.koi
%patch1 -p1
%patch3 -p1


%build

./trans koi win < README.koi > README.cp1251

# BuildIspellEncoding <spelling> <encoding> <encoding-suffix>
BuildIspellEncoding()
{
	DICT="base.koi abbrev.koi computer.koi for_name.koi geography.koi \
		science.koi addition.koi"
		# rare.koi

	if [ -n "$1" ] ; then
		suffix="-$1"
	else
		suffix=""
	fi

	case $1 in
	"ie" )
		cat $DICT | sed "/^\(#\|$\)/d" | tr '\243\263' '\305\345' | ./sortkoi8 | uniq |
			./trans koi $2 > russian$3-lebedev$suffix.dict
		cat russian.aff.koi | sed -e "s/^\#e//;s/^\#$2/wordchars/" | \
			./trans koi $2 > russian$3-lebedev$suffix.aff
	;;
	"io" )
		cat $DICT | sed "/^\(#\|$\)/d" | ./sortkoi8 | uniq |
			./trans koi $2 > russian$3-lebedev$suffix.dict
		cat russian.aff.koi | sed -e "s/^\#y//;s/^\#$2/wordchars/" | \
			./trans koi $2 > russian$3-lebedev$suffix.aff
	;;
	* )
		cat russian-lebedev-ie.dict russian-lebedev-io.dict | ./sortkoi8 | uniq |
			./trans koi $2 > russian$3-lebedev.dict
		cat russian.aff.koi | sed -e "s/^\#e//;s/^\#y//;s/^\#$2/wordchars/" | \
			./trans koi $2 > russian$3-lebedev.aff
	;;
	esac

	buildhash ./russian$3-lebedev$suffix.dict ./russian$3-lebedev$suffix.aff \
		russian$3-lebedev$suffix.hash

}

# BuildWordList <spelling>
BuildWordList()
{
	ispell -d ./russian-lebedev-$1.hash -e < russian-lebedev-$1.dict | \
		tr ' ' '\n' | grep -v '^$' | \
		sort -u > "$1.list"
}

# BuildAspellHash <part>
BuildAspellHash()
{
	aspell --lang=ru-lebedev create master ./ru-lebedev-"$1"-only.rws \
		< ru-lebedev-"$1"-only.list
}

# BuildSpelling <spelling>
BuildSpelling()
{
	BuildIspellEncoding "$1" "win" "w"
	BuildIspellEncoding "$1" "koi" ""
	if [ -n "$1" ] ; then
		BuildWordList "$1"
	fi
}

MakeHunspell()
{
	if [ -n "$1" ] ; then
		suffix="-$1"
	else
		suffix=""
	fi

	# 3rd, 4th and 5th parameters for i2myspell
	# 3rd: alphabet uppercase
	# 4th: alphabet lowercase
	# 5th: all letters in frequency order, taken from original Dr. Lebedev's
	# dictionary for myspell
	ALPHABET=`echo "АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ \
		абвгдеёжзийклмнопрстуфхцчшщъыьэюя \
		оаитенрсвйлпкьыяудмзшбчгщюжцёхфэъАВСМКГПТЕИЛФНДОЭРЗЮЯБХЖШЦУЧЬЫЪЩЙЁ" | \
		iconv -fUTF-8 -tkoi8-r`

	i2myspell ./russian-lebedev$suffix.hash UTF-8 $ALPHABET | \
		iconv -fkoi8-r -tUTF-8 > ru_RU-lebedev$suffix.aff
	
	# The myspell dictionary is the same as ispell one.
	# The only difference -- number of words in the first line.
	cat russian-lebedev$suffix.dict | wc -l > ru_RU-lebedev$suffix.dic
	cat russian-lebedev$suffix.dict | iconv -fkoi8-r -tUTF-8 >> ru_RU-lebedev$suffix.dic
}

BuildSpelling "ie"
BuildSpelling "io"
# Note: "combined" run must be last, it uses files from previous ones
BuildSpelling ""

# Now we have ie.list and io.list.
# We want to create a combined dictionary which will allow spellings
# either with 'io' or without it.

# For aspell we build three partial dictionaries and combine them
# with .multi files.
comm -12 ie.list io.list | ./sortkoi8 > ru-lebedev-common-only.list
comm -13 ie.list io.list | ./sortkoi8 > ru-lebedev-io-only.list
comm -23 ie.list io.list | ./sortkoi8 > ru-lebedev-ie-only.list
BuildAspellHash common
BuildAspellHash io
BuildAspellHash ie

MakeHunspell "ie"
MakeHunspell "io"
MakeHunspell ""


%install
install -d %buildroot%ispelldir
install -d %buildroot%aspelldir
install -d %buildroot%_datadir/aspell
install -d %buildroot%myspelldir

# Install myspell/hunspell dictionary and affix files
for spelling in "" "-ie" "-io" ; do
	install -p -m 644 ru_RU-lebedev$spelling.{aff,dic} \
		%buildroot%myspelldir
done

# Install ispell hash and affix files
for spelling in "" "-ie" "-io" ; do
	install -p -m 644 russian{,w}-lebedev$spelling.{aff,hash} \
		%buildroot%ispelldir
done

# install aspell

# aspell language data files
install -p -m 644 ru-lebedev.dat %buildroot%_datadir/aspell
install -p -m 644 ru-lebedev_phonet.dat %buildroot%_datadir/aspell

# aspell hash files
for i in common ie io ; do
	install -p -m 644 ru-lebedev-"$i"-only.rws \
		%buildroot%aspelldir
done

# aspell .multi and .alias files
for spelling in "" "-ie" "-io" ; do
	install -p -m 644 ru-lebedev$spelling.multi russian-lebedev$spelling.alias \
		%buildroot%aspelldir
done


# install alternatives
install -d %buildroot%_altdir

# ispell and  myspell/hunspell alternatives
for spelling in "" "-ie" "-io" ; do
	case "$spelling" in
		"-io"	) weight=40 ;;
		"-ie"	) weight=10 ;;
		*	) weight=50 ;;
	esac

	# ispell koi8-r
	cat > %buildroot%_altdir/%name$spelling << EOF
%ispelldir/russian.hash	%ispelldir/russian-lebedev$spelling.hash	$weight
%ispelldir/russian.aff	%ispelldir/russian-lebedev$spelling.aff	%ispelldir/russian-lebedev$spelling.hash
EOF

	# ispell cp1251
	cat > %buildroot%_altdir/%name$spelling-cp1251 << EOF
%ispelldir/russianw.hash	%ispelldir/russianw-lebedev$spelling.hash	$weight
%ispelldir/russianw.aff	%ispelldir/russianw-lebedev$spelling.aff	%ispelldir/russianw-lebedev$spelling.hash
EOF

	# myspell/hunspell
	cat > %buildroot%_altdir/hunspell-ru-lebedev$spelling << EOF
%myspelldir/ru_RU.dic	%myspelldir/ru_RU-lebedev$spelling.dic	$weight
%myspelldir/ru_RU.aff	%myspelldir/ru_RU-lebedev$spelling.aff	%myspelldir/ru_RU-lebedev$spelling.dic
EOF

done

# aspell alternatives
cat > %buildroot%_altdir/aspell-ru-lebedev << EOF
%aspelldir/ru.multi	%aspelldir/ru-lebedev.multi	50
%aspelldir/russian.alias	%aspelldir/russian-lebedev.alias	%aspelldir/ru-lebedev.multi
%aspelldir/ru.multi	%aspelldir/ru-lebedev-io.multi	40
%aspelldir/russian.alias	%aspelldir/russian-lebedev-io.alias	%aspelldir/ru-lebedev-io.multi
%aspelldir/ru.multi	%aspelldir/ru-lebedev-ie.multi	10
%aspelldir/russian.alias	%aspelldir/russian-lebedev-ie.alias	%aspelldir/ru-lebedev-ie.multi
EOF


%files
%doc LICENSE README README.koi
%_altdir/%name
%ispelldir/russian-lebedev.*

%files cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-cp1251
%ispelldir/russianw-lebedev.*

%files -n aspell-ru-lebedev
%doc LICENSE LICENSE.phonet README README.koi
%_altdir/aspell-ru-lebedev
%aspelldir/*
%_datadir/aspell/*

%files -n hunspell-ru-lebedev
%doc LICENSE README
%_altdir/hunspell-ru-lebedev
%myspelldir/ru_RU-lebedev.*

%files -n hunspell-ru-lebedev-ie
%doc LICENSE README
%_altdir/hunspell-ru-lebedev-ie
%myspelldir/ru_RU-lebedev-ie.*

%files -n hunspell-ru-lebedev-io
%doc LICENSE README
%_altdir/hunspell-ru-lebedev-io
%myspelldir/ru_RU-lebedev-io.*

%files ie
%doc LICENSE README README.koi
%_altdir/%name-ie
%ispelldir/russian-lebedev-ie.*

%files ie-cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-ie-cp1251
%ispelldir/russianw-lebedev-ie.*

%files io
%doc LICENSE README README.koi
%_altdir/%name-io
%ispelldir/russian-lebedev-io.*

%files io-cp1251
%doc LICENSE README README.cp1251
%_altdir/%name-io-cp1251
%ispelldir/russianw-lebedev-io.*


%changelog
* Tue Jun  1 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt9
- a few more words

* Fri Feb 26 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt8
- myspell/hunspell: fixed affix rules with cutted suffixes
  (rebuild with fixed i2myspell convertor)
- myspelldir and aspelldir macros in spec
- a few more words

* Wed Feb 24 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt7
- myspell alternatives grouped back, slave-master conflict was settled
- a few more words

* Wed Feb 24 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt6
- myspell alternatives ungouped to avoid slave-master conflict
  with other myspell dictionaries in repository
- a few more words

* Tue Feb 23 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt5
- build dictionaries in myspell/hunspell format too
- a few more words
- alternatives weights slightly changed
- spec cleanup

* Fri Feb 19 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt4
- corrected the build of combined hashes for ispell
- a few more words

* Tue Jan 12 2010 Sergey Kurakin <kurakin@altlinux.org> 0.99g5-alt3
- added extra dictionary addition.koi

* Thu Mar 12 2009 Igor Vlasenko <viy@altlinux.ru> 0.99g5-alt2
- support for alternatives 0.4

* Tue Sep 09 2008 Igor Vlasenko <viy@altlinux.ru> 0.99g5-alt1
- new version 0.99g5.

* Wed Mar 28 2007 Sergey Vlasov <vsu@altlinux.ru> 0.99g4-alt1
- Version 0.99g4.

* Wed Oct 11 2006 Sergey Vlasov <vsu@altlinux.ru> 0.99g3-alt2
- Fix %%_libdir paths in alternative definitions on x86_64 (#10110).
- Switch to uncompressed original tarballs in src.rpm.

* Tue Jun 27 2006 Sergey Vlasov <vsu@altlinux.ru> 0.99g3-alt1
- Version 0.99g3.
- Removed all %%__* macro abuse from spec.

* Sat Jan 28 2006 Sergey Vlasov <vsu@altlinux.ru> 0.99g1-alt1
- Version 0.99g1.
- Added alt-no-substandard-language patch: remove words which
  should not be present in a dictionary used for spellchecking (#8531).

* Sun Jun 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.99f9-alt1
- Version 0.99f9.
- Converted alternatives config files to new format (0.2.0).
- Updated BuildRequires.

* Thu Jul 29 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99f7-alt1
- Version 0.99f7.
- Fixed aspell version dependencies.

* Thu Jul 29 2004 Vital Khilko <vk@altlinux.ru> 0.99f6-alt2
- NMU to fix #4441 and rebuild for new aspell-0.60
- fixed package descriptions
- added belarusian translation of descriptions

* Sun Nov 23 2003 Sergey Vlasov <vsu@altlinux.ru> 0.99f6-alt1
- Version 0.99f6.
- Updated for new aspell (no more pspell, different dictionary names).
- Updated BuildRequires.
- Spec file cleanup.
- Added Russian descriptions.
- Always build the aspell dictionary (no more --without aspell).

* Tue May 06 2003 Stanislav Ievlev <inger@altlinux.ru> 0.99f2-alt1.1
- move to new alternatives scheme

* Fri Oct 18 2002 Sergey Vlasov <vsu@altlinux.ru> 0.99f2-alt1
- Version 0.99f2.
- Updated URLs.

* Tue Apr 02 2002 Sergey Vlasov <vsu@altlinux.ru> 0.99e9-alt1
- Version 0.99e9.
- Added aspell phonetic rules file from Andrey Grozin.
- Combined all aspell dictionaries into one package.
- Fixed bugs in %%preun scripts (alternatives were lost
  after upgrading).
- Lots of %%triggerpostun to clean up after my %%preun bugs
  in the previous version :-(

* Sun Dec 02 2001 Sergey Vlasov <vsu@altlinux.ru> 0.99e5-alt1
- First spec
